SND_RAWMIDI_RECEIVE(9)

NAME
snd_rawmidi_receive - receive the input data from the device

SYNOPSIS

int snd_rawmidi_receive(struct snd_rawmidi_substream * substream, const unsigned char * buffer, int count);

ARGUMENTS

substream
    the rawmidi substream

buffer
    the buffer pointer

count
    the data size to read

DESCRIPTION

Reads the data from the internal buffer.

RETURN

The size of read data, or a negative error code on failure.

COPYRIGHT